OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class BasicNetwork

    java.lang.Object
      org.opennms.netmgt.outage.BasicNetwork

public class BasicNetwork
extends java.lang.Object

Represents a Network, that is a collection of Nodes, Interfaces, and Service

Author:
  brozow

Field Summary
`(package private) java.lang.String` `m_sqlToGenerateOutageIds`

Constructor Summary
`BasicNetwork(java.lang.String sqlToGenerateOutageIds)`

Method Summary
`static java.sql.Timestamp` `convertEventTimeIntoTimestamp(java.lang.String eventTime)` Convert event time into timestamp
`(package private) BasicInterface` `getInterface(long nodeID, java.lang.String ipAddr)`
`long` `getNextOutageId(java.sql.Connection dbConn)`
`(package private) BasicNode` `getNode(long nodeID)`
`BasicService` `getService(BasicInterface iface, long serviceID)`
`(package private) BasicService` `getService(long nodeID, java.lang.String ipAddr, long serviceID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_sqlToGenerateOutageIds

    java.lang.String m_sqlToGenerateOutageIds

Constructor Detail

### BasicNetwork

    public BasicNetwork(java.lang.String sqlToGenerateOutageIds)

Method Detail

### getNode

    BasicNode getNode(long nodeID)

  Parameters:
    `nodeID` -
  Returns:

### getInterface

    BasicInterface getInterface(long nodeID,
                                java.lang.String ipAddr)

  Parameters:
    `nodeID` -
    `ipAddr` -
  Returns:

### getService

    BasicService getService(long nodeID,
                            java.lang.String ipAddr,
                            long serviceID)

  Parameters:
    `nodeID` -
    `ipAddr` -
    `serviceID` -
  Returns:

### getService

    public BasicService getService(BasicInterface iface,
                                   long serviceID)

  Parameters:
    `iface` -
    `serviceID` -
  Returns:

### getNextOutageId

    public long getNextOutageId(java.sql.Connection dbConn)
                         throws java.sql.SQLException

  Parameters:
    `dbConn` -
  Returns:
  Throws:
    `java.sql.SQLException`

### convertEventTimeIntoTimestamp

    public static java.sql.Timestamp convertEventTimeIntoTimestamp(java.lang.String eventTime)

  Convert event time into timestamp

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.